/*used colors*/
:root {
    --sec: #ba9666;
    --first: #D9716F;
}

/*applied to all elements*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-transform: capitalize;
    outline: none;
    border: none;
    text-decoration: none;
    transition: .2s linear;
}

/*to the entire doc*/
html {
    font-size: 62.5%;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
    overflow-x: hidden;
}

/*all the sections*/
section {
    padding: 2rem;
    margin: 0 auto;
    max-width: 1200px;
}

/*for the section headers*/
.heading {
    text-align: center;
    font-size: 4rem;
    color: #454c40;
    padding: 1rem;
    margin: 2rem 0;
    background: #f8f3ed;
}

.heading span {
    color: var(--first);
}

/*buttons styles*/
.btn {
    display: inline-block;
    margin-top: 1rem;
    border-radius: 5rem;
    background: #333;
    color: #fff;
    padding: 1rem 3rem;
    cursor: pointer;
    font-size: 1.8rem;
}

.btn:hover {
    background: var(--first);
}

/*the header of the page*/
header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background: #f8f3ed;
    z-index: 1000;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
}

/*arrange the items in the header*/
header .flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/*styling the nav bar*/
header .navbar a {
    font-size: 2rem;
    padding: 0 1.5rem;
    color: #666;
}

header .navbar a:hover {
    color: var(--first);
}

header .icons a {
    font-size: 2.5rem;
    color: #333;
    margin-left: 1.5rem;
}

header .icons a:hover {
    color: var(--first);
}

/*styling thr bar for diff. screen*/
header #toggler {
    display: none;
}

header .fa-bars {
    font-size: 3rem;
    color: #333;
    border-radius: .5rem;
    padding: .5rem 1.5rem;
    cursor: pointer;
    display: none;
}

/*home section*/
.home-container {
    background: url(../images/home.jpg) no-repeat;
    background-size: cover;
    background-position: center;
}

.home {
    display: flex;
    align-items: center;
    min-height: 100vh;
}

/*max width for the content that will be displayed*/
.home .content {
    max-width: 50rem;
}

.home .content h3 {
    font-size: 6rem;
    color: #333;
}

.home .content span {
    font-size: 3.5rem;
    color: #c7a884;
    padding: 1rem 0;
    line-height: 1.5;
}

.home .content p {
    font-size: 1.5rem;
    color: #666;
    padding: 1rem 0;
    line-height: 1.8;
}

/*the about section style*/
.about .about-container {
    display: flex;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
    padding: 2rem 0;
    padding-bottom: 3rem;
}

/*positioning the container of the video*/
.about .about-container .video-container {
    flex: 1 1 40rem;
    position: relative;
}

/*sizing the video*/
.about .about-container .video-container video {
    width: 100%;
    border-radius: .5rem;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    height: 100%;
    object-fit: cover;
}


.about .about-container .info {
    flex: 1 1 40rem;
}

.about .about-container .info h3 {
    font-size: 3rem;
    color: #333;
    padding-bottom: .5rem;
}

.about .about-container .info p {
    font-size: 1.5rem;
    color: #999;
    padding: .5rem 0;
    padding-top: 1rem;
    line-height: 1.8;
}


/*the container of the products*/
.products .item-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}

/*the boxes that contain the items*/
.products .item-container .item {
    flex: 1 1 30rem;
    box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .1);
    border-radius: .5rem;
    border: .1rem solid rgba(0, 0, 0, .1);
    position: relative;
}

/*the container of the image of the item in the box*/
.products .item-container .item .image {
    position: relative;
    text-align: center;
    padding-top: 2rem;
    overflow: hidden;
}

/*the image settings*/
.products .item-container .item .image img {
    height: 25rem;
}

/*when hover over the image*/
.products .item-container .item:hover .image img {
    transform: scale(1.1);
}


.products .item-container .item .content {
    padding: 2rem;
    text-align: center;
}

.products .item-container .item .content h3 {
    font-size: 2.3rem;
    color: #333;
}

.products .item-container .item .content .price {
    font-size: 2rem;
    color: var(--first);
    font-weight: bolder;
    padding-top: 1rem;
}


/*contact us section style*/
.contact .contact-container {
    height: 70vh;
    width: 75vw;
    display: flex;
    flex-wrap: wrap-reverse;
    gap: 1.5rem;
    align-items: center;
}

.contact .contact-container form {
    flex: 1 1 40rem;
    padding: 2rem 2.5rem;
    box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .1);
    border: .1rem solid rgba(0, 0, 0, .1);
    background: #fff;
    border-radius: .5rem;
}

.map,
.form {
    width: 50%;
    height: 100%;
}

.map {
    flex: 1 1 40rem;
}

.map iframe {
    width: 100%;
    height: 100%;
}

.contact .contact-container form .box {
    padding: 1rem;
    font-size: 1.7rem;
    color: #333;
    text-transform: none;
    border: .2rem solid rgba(0, 0, 0, .1);
    border-radius: .5rem;
    margin: .7rem 0;
    width: 100%;
}

/*so the border will be colored when the focus is on the filed*/
.contact .contact-container form .box:focus {
    border-color: var(--first);
}

.contact .contact-container form textarea {
    height: 15rem;
    resize: none;
}


/*footer of the page style*/
.footer .info-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}

.footer .info-container .info {
    flex: 1 1 25rem;
}

.footer .info-container .info h3 {
    color: #333;
    font-size: 2.5rem;
    padding: 1rem 0;
}

.footer .info-container .info a,
p {
    display: block;
    color: #666;
    font-size: 1.5rem;
    padding: 1rem 0;
}

.footer .info-container .info a:hover {
    color: var(--first);
    text-decoration: underline;
}




/* media queries*/
@media (max-width:991px) {

    html {
        font-size: 55%;
    }

    .home {
        background-position: left;
    }

}

@media (max-width:768px) {

    header .fa-bars {
        display: block;
    }

    header .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background: #eee;
        border-top: .1rem solid rgba(0, 0, 0, .1);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }

    header #toggler:checked~.navbar {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    header .navbar a {
        margin: 1.5rem;
        padding: 1.5rem;
        background: #fff;
        border: .1rem solid rgba(0, 0, 0, .1);
        display: block;
    }

    .home .content h3 {
        font-size: 5rem;
    }

    .home .content span {
        font-size: 2.5rem;
    }

}

@media (max-width:450px) {

    html {
        font-size: 50%;
    }

    .heading {
        font-size: 3rem;
    }

}